#include <iostream>
#include <deque>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
	int n,k;cin>>n>>k;
	deque<int> moc;
	for(int i=0;i<n;i++){
		int x;cin>>x;
		moc.push_back(x);
	}
	while(moc.size()>1){
		if(moc.front()-moc.back()>=moc.back()-moc.front()){
			moc.front()-=moc.back();
			moc.pop_back();
		}
		else{
			moc.back()-=moc.front();
			moc.pop_front();
		}
	}
	cout<<moc.front();
	return 0;
}